<template>
  <div>
    <h1 class="mb-8">Have you tried any of the following hair loss treatments?</h1>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [checkboxMixin, answersMixin],
  name: "YourHealth17",
  data() {
    return {
      choices: [
        constants.MINOXIDIL,
        constants.FINASTERIDE,
        constants.OTHER_TREATMENTS,
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_17')
      }
    }
  },
  methods: {
    nextStage() {
      const answer = this.answer(this.answersKeys.YOUR_HEALTH)?.stage_17 ?? []

      if (answer.includes(constants.MINOXIDIL)) {
        this.$emit('nextStage')
      } else if (answer.includes(constants.FINASTERIDE)) {
        this.$emit('goTo', 19)
      } else if (answer.includes(constants.OTHER_TREATMENTS)) {
        this.$emit('goTo', 20)
      } else {
        this.$emit('goTo', 21)
      }
    }
  }
}
</script>

<style scoped>

</style>
